jQuery(document).ready(function($) {
    
	/*---Navigation---------------------------------------------------------*/
	 // By Jonathan Schnittger
	 //http://schnittger.me/
	 $('div.secondary aside.navigation-widget div.widget-content').html('<div class="navigation-content"><ul></ul></div>');
	 $.fn.navigation = function( options ) {
        var settings = $.extend({
            duration: "500",
         }, options );
 
        return this.each(function() {
            var article = $(this);
            var list = $('.main div.secondary').find('aside.navigation-widget div.navigation-content:first > ul:first');
            
            article.find('h1, h2, h3, h4').each(function(){
                var heading = $(this);
                var tag = heading[0].tagName.toLowerCase();
                var title = heading.text();
                var id = heading.attr('id');
                
                if(typeof id === "undefined") {
                    id = Math.random().toString(36).substring(7);
                    heading.attr('id', id);
                }
                list.append('<li class="' + tag + '"><i class="icon-star"></i><a href="#' + id + '" title="' + title + '">' + title + '</a></li>');
            });
           
        });
 
    };
	
		 if ('aside.navigation-widget') {
				if ( $('body').hasClass('page') || $('body').hasClass('single')){
					$('div.primary').navigation();
				}
				else{
					$('div.temp-primary').navigation();
				};
			};
		 
		 var list = $('.main div.secondary').find('aside.navigation-widget div.navigation-content:first > ul:first');
            list.on('click', function(event){
                var target = $(event.target);
                if(target.is('a')){
                    event.preventDefault();
                    $('html,body').animate({
                        scrollTop: $(target.attr('href')).offset().top - 80
                    }, 500);
                    return false;
                }
            });
				
	/*---------------------------------------------------------------------------------*/
	//Position Articles
	var temp_container = $('.main .content .temp-primary');
	var container = $('.main .content .primary');
	var container_width = (container.outerWidth()/$('.content').outerWidth())*100;
	var col = [];
	var col_h = [];
	var checker = '';
	var last = '';
	var col_no = $('span.primary-column').attr('column');
	var col_width = (100/col_no)-2;
	var col_width_pixel = (col_width*(container.outerWidth()))/100;
	
	while (col_width_pixel <= 200){
		col_no = col_no - 1;
		container = $('.main .content .primary');
		col_width_pixel = (((100/col_no)-2)*(container.outerWidth()))/100;
		col_width = (100/col_no)-2;
	}
	var orginal_col_no = col_no;
	
	
	
	if ($('body').hasClass('page') || $('body').hasClass('single')){
		}
	else {
		if (col_no == 1){
		container.find('.content-place').prepend('<div class="index-column-1"></div>');
		col[1] = container.find("div.index-column-1");
		col[1].css('width','98%');
		}
		else {
			for ( var i = 1, limit = col_no + 1; i < limit; i++){
				container.find('.content-place').prepend('<div class="index-column-'+i+'"></div>');
				col[i] = container.find("div.index-column-"+i);
				col[i].css('width',col_width+'%');
			}		
		}
	}
	
	var positionArticles = function (options) {
		if ( $('body').hasClass('single') || $('body').hasClass('page')){
			}
		else {
			var temp_container = $(options);				
			var temp_articles = temp_container.find( 'article' );
						
			var articles_array = $.makeArray(temp_articles);
					
			$.map(articles_array,function( n, i ) { 
				
				var this_article = $(n);
				this_article.remove();
				
				for ( var i = 1, limit = col_no ; i <= limit; i++){
					col_h[i] = col[i].outerHeight();
				}
			
			if (col_no == 1){
			this_article.appendTo(col[1]);
			}
			else {
				checker = 0;	
				for ( var i = 1, limit = col_no - 1; i <= limit; i++){		
					console.log("i:"+i);
					for ( var j = i+1, limit = col_no ; j <= limit; j++){	
						console.log("j:"+j);
						if ( col_h[i] <= col_h[j] ){
							this_article.appendTo(col[i]);
							checker = 1;
						}
						last = j;
						console.log("last:"+last);
					}
				}
			
				if ( checker == 0 ){	
					this_article.appendTo(col[last]);
				};
			}
			
			event.preventDefault();
			}) ;
		}						
	};
		positionArticles('.main .content .temp-primary');
				
		/*---------------------------------------------------------------------------------*/
		//Advance search slide
		$('a#advancesearch,a#advancesearch-cancel').on('click', function(event){
			event.preventDefault();
			$('div.advance-search-slide').slideToggle( "slow");
		});
		
		/*---------------------------------------------------------------------------------*/
		//pagination
		if ( $('nav.pagination').children().is('span')){
			}
		else {
			$('nav.pagination').hide();
		}
		
		/*---------------------------------------------------------------------------------*/
		//Menu Toggler
		$('a.menu-toggler').on("click",function(e){
			$('.header-menu').toggleClass('display');	
		});			
		
		/*---------------------------------------------------------------------------------*/		
		// Select first word of every paragraph in post format chat
		$('.format-chat .post-content p').each(function(){
		var text_splited = $(this).text().split(" ");
		$(this).html("<strong>"+text_splited.shift()+"</strong> "+text_splited.join(" "));
		});
		
		/*---------------------------------------------------------------------------------*/
		//iframe Window Center
		$.fn.windowCenter = function (event) {
			var mrtop = (($(window).height() - $(this).height()-35)/2);
			var mrleft = (($(window).width() - $(this).width()-35)/2);
			$(this).css('margin-top',mrtop);
			$(this).css('margin-left',mrleft);
			
			};
		
		/*---------------------------------------------------------------------------------*/
		//External Links
		$("a[href*='http://']:not([href*='"+location.hostname+"']),[href*='https://']:not([href*='"+location.hostname+"'])").each(function(){
			$(this).addClass("external");
		});
			
		
		$('a.external').click(function(event){
			event.preventDefault();
			var address= $(this).attr('href');
			$('body').prepend('<div class="body-overlay"></div>');
			$('body').append('<div class="iframe-temp-area"><iframe class="iframe-temp"  src="'+ address +'"/></div>');
			$('.iframe-temp-area').windowCenter();
						
						
			$(".body-overlay").on("click",function(){
				$(".body-overlay").remove();
				$(".iframe-temp-area").remove();
				
			});
		});
	
	/*---------------------------------------------------------------------------------*/	
	//Window rezise
	var check_col = 0;
	$(window).resize(function(event){
		if ($(window).width() > 458){
			$('.header-menu').removeClass('display');
		}
		$('.iframe-temp-area').windowCenter();
		container = $('.main .content .primary');
		col_width_pixel = (((100/col_no)-2)*(container.outerWidth()))/100;
			while (col_width_pixel <= 200){
				col_no = col_no - 1;
				container = $('.main .content .primary');
				col_width_pixel = (((100/col_no)-2)*(container.outerWidth()))/100;
				col_width = (100/col_no)-2;
				console.log("col_width_pixel:" + col_width_pixel);
				check_col = 1;
			}
			
		while ((container.outerWidth())-(col_width_pixel*col_no) > 200 && col_no < orginal_col_no){
				col_no = col_no + 1;
				container = $('.main .content .primary');
				col_width_pixel = (((100/col_no)-2)*(container.outerWidth()))/100;
				col_width = (100/col_no)-2;
				console.log("col_width_pixel:" + col_width_pixel);
				check_col = 1;
			}
		if ( check_col == 1){
		positionArticles('.primary .content-place');
		check_col = 0;
		}
		
	});
	
	/*---------------------------------------------------------------------------------*/	
	//Tooltip
	$(document).tooltip({
		track: true,
	items: "img, [data-geo], [title], a",
      content: function() {
        var element = $( this );
        if ( element.is( "[data-geo]" ) ) {
          var text = element.text();
          return "<img class='map' alt='" + text +
            "' src='http://maps.google.com/maps/api/staticmap?" +
            "zoom=11&size=350x350&maptype=terrain&sensor=false&center=" +
            text + "'>";
        }
        if ( element.is( "[title]" ) ) {
          return element.attr( "title" );
        }
        if ( element.is( "img" ) ) {
          return element.attr( "alt" );
        }
		if ( element.is( "a" ) ) {
          return element.attr( "title" );
        }
      }		
		});
    });