<?php
/* The Template for displaying post information.
 *
 * @package WordPress
 * @subpackage wordplus
 * @since wordplus 0.1.0
 */
 
		if(is_single() || get_theme_mod('wordplus_post_info_show')=='yes') { ?>
			<div class="post-footer">
			
			
			
			<div class="post-info">
				
				<div class="post-meta">
				<ul class="post-meta-list">
					<li>
						<i class="icon-user"></i>
						<?php the_author_posts_link(); ?>
					</li>
					
					<li>
								<i class="icon-calendar"></i>
								<?php if ( has_post_format( array( 'chat', 'status' ) ) )
										$format_prefix = _x( '%1$s on %2$s', '1: post format name. 2: date', 'wordplus' );
									else
										$format_prefix = '%2$s';

									$date = sprintf( '<span class="date"><a href="%1$s" title="%2$s" rel="bookmark"><time class="post-date" datetime="%3$s">%4$s</time></a></span>',
									esc_url( get_permalink() ),
									esc_attr( sprintf( __( 'Permalink to %s', 'wordplus' ), the_title_attribute( 'echo=0' ) ) ),
									esc_attr( get_the_date( 'c' ) ),
									esc_html( sprintf( $format_prefix, get_post_format_string( get_post_format() ), get_the_date() ) )
									);
									echo $date; 
								?>
							
					</li>
					
					<li>
						<?php if ( comments_open() ) : ?>
							<i class="icon-comment"></i>
							<?php comments_popup_link( '<span class="leave-reply">' . __( 'Leave a comment', 'wordplus' ) . '</span>', __( 'One comment so far', 'wordplus' ), __( 'View all % comments', 'wordplus' ) ); ?>
						<?php endif; ?>
					</li>
					
					<li>
						<?php $categories_list = get_the_category_list( __( ', ', 'wordplus' ) );
							if ( $categories_list ) { ?>
								<i class="icon-folder-open-empty"></i>
								<?php echo $categories_list ; ?>
							<?php } ?>
					</li>
					
					<li>
						<?php $tag_list = get_the_tag_list('', __( ', ', 'wordplus' ) );
							if ( $tag_list ) { ?>
								<i class="icon-tags"></i>
								<?php echo $tag_list ;?>
							<?php } ?>
					</li>
					
					<li>
						
						<?php edit_post_link( __( '<i class="icon-pencil">Edit</i>', 'wordplus' ), '<span class="edit-link">', '</span>' ); ?>
					</li>
					
					
				</ul><!--.post-meta-list-->
				
		</div><!--.post-meta-->	

			</div>
		</div>
		
		<?php } ?>