<?php
/* Template Name: Default Page Template, No Sidebar
 * @package WordPress
 * @subpackage wordplus
 * @since wordplus 0.1.0
 */

get_header(); ?>

	<div class="primary" id="primary">
			
			<?php while ( have_posts() ) : the_post(); ?>

				<article id="post-<?php the_ID(); ?> article" <?php post_class(); ?>>
					
					<header class="post-header">
						<h1 class="entry-title"><?php the_title(); ?></h1>
					</header><!--post-header-->	
	
					<div class="post-content">
						<?php the_content(); ?>
						<?php wp_link_pages( array( 'before' => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'wordplus' ) . '</span>', 'after' => '</div>', 'link_before' => '<span>', 'link_after' => '</span>' ) ); ?>
					</div><!--.post-content-->	
					<div class="post-footer">
						<?php edit_post_link( __( '<i class="icon-pencil">Edit</i>', 'wordplus' ), '<span class="edit-link">', '</span>' ); ?>
					</div>
				</article><!--Article-->	

				<?php comments_template(); ?>
		
			<?php endwhile; ?>

		</div><!--.primary-->	
<?php get_footer(); ?>